: Class Exit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Servlets
Class Exit

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.mortbay.Servlets.Exit

public class Exit
extends javax.servlet.http.HttpServlet

Exit the server. Need to move this servlet to Jetty package to avoid the cyclic dependency between packages.

See Also:
  Serialized Form

Constructor Summary
`Exit()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest sreq, javax.servlet.http.HttpServletResponse sres)` Receives an HTTP GET request from the protected `service` method and handles the request.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exit

    public Exit()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest sreq,
                      javax.servlet.http.HttpServletResponse sres)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Description copied from class: javax.servlet.http.HttpServlet
  Receives an HTTP GET request from the protected `service` method and handles the request. The GET method allows a client to read information from the Web server, passing a query string appended to an URL to tell the server what information to return.

  Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.

  If you override this method, you should read data from the request, set entity headers in the response, access the writer or output stream object, and finally, write the response data. When you set headers, be sure to include content type and encoding. If you use a `PrintWriter` object to return the response, you must set the content type before you access the `PrintWriter` object.

  The servlet engine must write the headers before the response data, because the headers can be flushed at any time after the data is written.

  If you can set the Content-Length header (with the `javax.servlet.ServletResponse.#contentType` method), the servlet can use a persistent connection to return its response to the client, improving performance dramatically. If you cannot set Content-Length, you can sometimes avoid the performance penalty if the response fits in an internal buffer.

  The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.

  The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.

  If the request is incorrectly formatted, `doGet` returns an HTTP BAD_REQUEST message.

  Overrides:
    doGet in class javax.servlet.http.HttpServlet
  Tags copied from class: javax.servlet.http.HttpServlet
  Parameters:
    `req` - an `HttpServletRequest` object that contains the request the client has made of the servlet
    `resp` - an `HttpServletResponse` object that contains the response the servlet sends to the object
  Throws:
    java.io.IOException - if an input or output error is detected when the servlet handles the GET request
    javax.servlet.ServletException - if the request for the GET could not be handled
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD